Subject: Re: [PATCH] bugreport.c: fix a crash in `git bugreport` with `--no-suffix` option

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Mar 2024 10:42:59 -0700

Junio C Hamano <[email-masked]> writes:

> Perhaps we should update the documentation a bit while at it?  Here
> is what I can find in its documentation.
> ...
> The above does not say that it is possible to ask the code not to
> use suffix at all with "--no-suffix".  If we want it to happen and
> behave sensibly (which I think the code with your patch does, from
> my cursory read), we probably should document it.  At least two
> developers, considered to be expert Git developers and consider
> themselves to be expert Git users, did not even anticipate that
> "--no-suffix" will hit their code.

And such a documentation update may look like this.  Feel free to
use it in an updated version of the patch but please make sure it
formats correctly (I didn't test it).

Thanks.

 Documentation/git-bugreport.txt | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git c/Documentation/git-bugreport.txt w/Documentation/git-bugreport.txt
index ca626f7fc6..112658b3c3 100644
--- c/Documentation/git-bugreport.txt
+++ w/Documentation/git-bugreport.txt
@@ -8,7 +8,8 @@ git-bugreport - Collect information for user to file a bug report
 SYNOPSIS
 --------
 [verse]
-'git bugreport' [(-o | --output-directory) <path>] [(-s | --suffix) <format>]
+'git bugreport' [(-o | --output-directory) <path>]
+		[(-s | --suffix) <format> | --no-suffix]
 		[--diagnose[=<mode>]]
 
 DESCRIPTION
@@ -51,9 +52,12 @@ OPTIONS
 
 -s <format>::
 --suffix <format>::
+--no-suffix::
 	Specify an alternate suffix for the bugreport name, to create a file
 	named 'git-bugreport-<formatted-suffix>'. This should take the form of a
 	strftime(3) format string; the current local time will be used.
+	`--no-suffix` disables the suffix and the file is just named
+	`git-bugreport` without any disambiguation measure.
 
 --no-diagnose::
 --diagnose[=<mode>]::